@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap');

*{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
}
body{
    --mainBg: #eee;
    --mainTextColor: rgb(122, 122, 122);
    --mainRed: #aa2824;
    --mainYellow: #fee801;
    --mainHead: rgb(61, 61, 61);
    --plainBg: white;
    --regularGrey: rgb(184, 184, 184);
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    position: relative;
    background: var(--mainBg);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 300ms ease;
}
body.dark{
    --mainBg: rgb(80, 80, 80);
    --mainHead: rgb(61, 61, 61);
    --plainBg: rgb(110, 110, 110);
    --regularGrey: rgb(189, 189, 189);
    --mainTextColor: rgb(223, 223, 223);
    --mainYellow: #aa2824;
    --mainRed: #fee801;
}
.loginBox{
    padding: 20px;
    background: var(--plainBg);
    width: 85%;
    max-width: 400px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(143, 143, 143, 0.1);
}
.logoImg{
    height: 40px;
}
.inputGrp{
    margin: 5px 0;
    position: relative;
    overflow: hidden;
    z-index: 1;
    padding: 5px 0;
}
.inputField{
    outline: none;
    border: 1px solid var(--regularGrey);
    border-radius: 5px;
    display: block;
    padding: 10px;
    background: none;
    width: 100%;
    transition: 300ms ease;
    color: var(--mainTextColor);
}
.inputLabel{
    position: absolute;
    top: 15px;
    left: 12px;
    pointer-events: none;
    font-size: 85%;
    color: var(--mainTextColor);
    font-weight: 500;
    transition: 300ms ease;
    z-index: 2;
}
.inputField:focus, .inputField:valid{
    border: 1px solid var(--mainRed);
}
.inputField:focus~.inputLabel, .inputField:valid~.inputLabel{
    background :var(--plainBg);
    font-size: 65%;
    padding: 1px 2px;
    top: -2px;
    left: 10px;
    color: var(--mainRed);
}
.btn{
    background: var(--mainRed);
    color: var(--mainYellow);
    font-size: 70%;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 700;
    padding: 8px 25px;
    outline: none;
    border: none;
    cursor: pointer;
    margin-top: 5px;
    border-radius: 5px;
    transition: 300ms ease;
}
.btn:hover{
    transform: scale(.95);
}
#dmMoon{
    color: var(--mainTextColor);
}
.dmLabel{
    position: fixed;
    top: 23px;
    right: 95px;
    cursor: pointer;
    z-index: 10;
    /* background: var(--mainYellow);
    border-radius: 50%;
    z-index: 10;
    height: 40px;
    width: 40px;
    line-height: 50px;
    text-align: center;
    box-shadow: 0 0 10px rgba(143, 143, 143, 0.1);
    border: 1px solid var(--mainRed); */

}
.dmTBox{
    transition: 300ms ease;
}
.message{
    position: fixed;
    top: 70px;
    right: 15px;
    color: white;
    padding: 15px 0px;
    border-radius: 5px;
    width: 75%;
    max-width: 350px;
    z-index: 3;
    font-size: 85%;
    animation: msgAnim 3s forwards;
    transform: scale(0);
    box-shadow: 0 5px 10px rgba(0,0,0,.2);
}
.message.success{
    background: #34a853;
}
.message.fail{
    background: #f12121;
}
.mszCont{
    display: grid;
    place-items: center;
    grid-template-columns: 5% 95%;
    grid-gap: 0 10px;
    overflow: hidden;
    padding: 0 10px;
}
.bodyContainer{
    display: grid;
    grid-template-rows: 70px 1fr;
    height: 100%;
    width: 100%;
    
}
.header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    background: var(--plainBg);
    box-shadow: 0 5px 10px rgba(87, 87, 87, 0.1);
    position: relative;
    z-index: 4;
}
.loBtn{
    outline: none;
    text-decoration: none;
    font-size: 70%;
    background: var(--mainRed);
    color: var(--mainYellow);
    padding: 2px 8px;
    border-radius: 5px;
    font-weight: 500;
    transition: 300ms ease;
}
.bodyPanel{
    padding: 20px;
    height: calc(100vh - 70px);
    overflow-y: scroll;
    position: relative;
    z-index: 2;
}
.nav{
    border-radius: 10px;
    background: var(--plainBg);
    box-shadow: 0 0 10px rgba(143, 143, 143, 0.1);
    max-width: 700px;
    margin: 0 auto;
    margin-bottom: 20px;
    overflow: hidden;
    position: relative;
}

.navUl{
    display: flex;

}
.navLi{
    list-style: none;
    flex-grow: 1;
    text-align: center;
    padding: 12px 0;
    font-size: 80%;
    position: relative;
    color: var(--mainTextColor);
    transition: 300ms ease;
    cursor: pointer;
    font-weight: 600;
    text-transform: uppercase;
}
.navLi.active, .navLi:hover{
    color: var(--mainRed);
}

.navLi.active::after{
    position: absolute;
    left: 0;
    bottom: 0;
    height: 2px;
    content: '';
    width: 100%;
    background: var(--mainRed);
    transform-origin: center;
    animation: growIn 200ms ease;
}
.navLi:not(:last-child){
    border-right: 1px solid var(--regularGrey);
}
::-webkit-scrollbar {
    width: 5px;
  }
::-webkit-scrollbar-track {
    background: #f1f1f1; 
  }
::-webkit-scrollbar-thumb {
    background: rgb(185, 185, 185); 
  }
::-webkit-scrollbar-thumb:hover {
    background: rgb(116, 116, 116); 
  }
.mainBody{
    background: var(--plainBg);
    padding: 10px;
    max-width: 1200px;
    margin: 0 auto;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(143, 143, 143, 0.1);
}
.mbcDiv{
    display: none;
}
.mbcDiv.active{
    display: block;
}
.tdStatsDiv{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 10px;
    max-width: 900px;
    margin: 5px auto;
    margin-bottom: 25px;
    place-items: center;
}
.statsDiv{
    padding: 5px;
}
.statsP{
    color: var(--regularGrey);
    font-size: 60%;
}
.statsHead{
    font-weight: 600;
    font-size: 90%;
    color: var(--mainTextColor);
    text-align: center;
}
.mbcDhead{
    font-size: 90%;
    color: var(--mainRed);
    text-align: center;
    font-weight: 500;
    position: relative;
}
.mbcDhead::after{
    position: absolute;
    left: 0;
    bottom: -2px;
    height: 1px;
    content: '';
    width: 100%;
    background: var(--mainRed);
    transform: scaleX(.05);
}
.repMenu{
    font-size: 80%;
    border-radius: 10px;
    color: var(--mainTextColor);
    width: 80%;
    margin: 10px auto;
    max-width: 400px;
}
.rmUl{
    display: flex;
}
.rmLi{
    list-style: none;
    flex-grow: 1;
    text-align: center;
    cursor: pointer;
    padding: 5px 0;
    transition: 300ms ease;
    border-radius: 30px;
}
.rmLi.active{
    color: var(--mainRed);
    border: 1px solid var(--mainRed);
}
.rdSDiv{
    max-width: 500px;
    margin: 0 auto;
    transform-origin: top;
    transition: 300ms ease;
}
.rdSDiv.hide{
    transform: scaleY(0);
    height: 0;
    overflow: hidden;
}
.rdSDiv.active{
    transform: scaleY(1);
    height: auto;
    transition-delay: 300ms;
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
input[type=number] {
  -moz-appearance: textfield;
}
.cdTable{
    width: 80%;
    margin: 10px auto;
    font-size: 90%;
    color: var(--mainTextColor);
}
.cdtTd{
    padding: 1px;
}
.cdtInput{
    background: none;
    outline: none;
    border: 1px solid var(--regularGrey);
    width: 60px;
    text-align: center;
    color: var(--mainTextColor);
    padding: 3px;
}
.cdTimes{
    font-size: 80%;
}
.cdtValue{
    font-size: 105%;
    text-align: center;
}
.calBtn{
    text-align: center;
    color: white;
    background: var(--regularGrey);
    padding: 5px 15px;
    border-radius: 5px;
    font-size: 70%;
    cursor: pointer;
    transition: 300ms ease;
    outline: none;
    border :none;

}
.calBtn:hover{
    background: var(--mainTextColor);
}
.calBtn:active{
    animation: clicked 300ms ease;
}
.dayRepDivWrap{
    width: 90%;
    max-width: 800px;
    margin: 10px auto;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 25px;
}
.drdwSubDiv{
    padding: 5px;
}
.drdwsdHead{
    font-size: 90%;
    color: var(--mainTextColor);
    text-align: center;
}
.dayRepTable{
    color: var(--mainTextColor);
    font-size: 80%;
    width: 100%;
    border-collapse: collapse;
}
.drtTd{
    padding: 5px;
}
.drtTr:not(:last-child){
    border-bottom: 1px solid var(--mainBg);
}
.drtTd.amt{
    text-align: right;
}
#save_rep{
    display: none;
}
.logBtn{
    padding: 10px 25px;
}
@media (max-width: 932px){
    .header{
        padding: 0 15px;
    } 
    ::-webkit-scrollbar {
        width: 1px;
      }
      .mbcDhead::after{
        transform: scaleX(.2);
    }
    .dayRepDivWrap{
        grid-template-columns: 1fr;
    }
}

@keyframes msgAnim{
    0%{transform: scale(0)}
    10%{transform: scale(1)}
    90%{transform: scale(1)}
    100%{transform: scale(0)}
}

@keyframes growIn{
    0%{transform: scaleX(0)}
    100%{transform: scaleX(1)}
}
@keyframes clicked{
    0%{transform: scale(.9)}
    50%{transform: scale(1.1)}
    100%{transform: scale(1)}
}

